##########################################################
# $Id: autorpm.conf,v 1.6 1999/01/23 00:41:19 kirk Exp $
##########################################################
# Created by Kirk Bauer <kirk@kaybee.org>
# http://www.kaybee.org/~kirk
# Modified by Dan Yocum <yocum@fnal.gov>
# http://www.fnal.gov/cd/unix/linux
##########################################################

# See /usr/doc/autorpm*/samples.conf for some samples
# `man autorpm.conf` for details

#Report_Queues_To ("PRINT");
Report_Queues_To ("");

# Try connecting to FTP sites 3 times with 5 seconds
# delay between each try.
FTP_Retries ("3");
FTP_Retry_Delay ("5");

##########################################################
# This is to install extra packages for the workgroup you chose during 
# installation (listed in /etc/workgroup).

#This is the CDF directory (at Fermilab):
ftp ("linux.fnal.gov:/linux/521/i386/Fermi/workgroups/CDF/RPMS") {

   # Don't print the report, but mail it instead.
   #Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (updated) {

      # Automatically install these official updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/CDF-rpm-updates/i386");
   }

   action (new) {

      # Automatically install these new updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the installs..
      # Store ("/CDF-rpm-installs/i386");
   }
}

##########################################################
# On occasion we realize that we've accidentally omitted a package from the 
# default installation that will enhance the usability a machine.  These are 
# not mission critical packages.. just niceities.

# This is the Fermi Red Hat Linux add-ons directory...
ftp ("linux.fnal.gov:/linux/521/i386/Fermi/addons/RPMS") {

   # Don't print the report, but mail it instead.
   #Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (new) {

      # Automatically install these new updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/fermi-rpm-addons/i386");
   }
}

##########################################################
# This will keep your computer current with Red Hat's updates for 
# Fermi Red Hat Linux 5.2.1:

# The second line is the local Fermi 521 security mirror.  Comment it out and
# uncomment the first line if you want ALL updates, security related and 
# feature enhancements.

#ftp ("linux.fnal.gov:/linux/521/i386/updates/RedHat/RPMS") {
ftp ("linux.fnal.gov:/linux/521/i386/security/RPMS") {

   # Don't print the report, but mail it instead.
   #Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (updated) {

      # Automatically install these official updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/FRHL-5.2.1-updates/i386");
   }

   action (new) {

      # Interactively install these new updates
      Install (No);

      Report (No);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/FRHL-5.2.1-updates/i386");
   }
}


##########################################################
# $Log: autorpm.conf,v $
# Revision 1.6  1999/01/23 00:41:19  kirk
# Prepping for Version 1.7
#
# Revision 1.5  1998/10/29 21:05:37  kirk
# Added LSM support...
#
# Revision 1.4  1998/03/14 00:55:36  kirk
# Prepping for Version 1.4
#
# Revision 1.3  1998/03/12 06:19:09  kirk
# Just about ready for Version 1.3
#
# Revision 1.2  1998/03/11 17:32:45  kirk
# Version 1.21 ready...
#
# Revision 1.1  1998/03/11 10:23:47  kirk
# Now, Version 1.2 is ready!
#
##########################################################
